#ifndef QUBACQCTL_H
#define QUBACQCTL_H

#include <windows.h>

/* parameters for wm_acq: (wm_vers ignores params, returns major version num) */
/* wParam: input/output/both: */
#define QUB_ACQ_CONTROL_INPUT                    1
#define QUB_ACQ_CONTROL_OUTPUT                   2
#define QUB_ACQ_CONTROL_SYNCH                    3

/* lParam: (start/)play/stop/resume/pause: */
/* start: input only: prepares for play: */
#define QUB_ACQ_CONTROL_START                    0
#define QUB_ACQ_CONTROL_PLAY                     1
#define QUB_ACQ_CONTROL_STOP                     2
#define QUB_ACQ_CONTROL_RESUME                   3
#define QUB_ACQ_CONTROL_PAUSE                    4

HWND FindQuB();
HWND FindQUBIO();
void SendQUBMessage(HWND target, int type, int action);
void SendQUBNote(HWND target, char *note);

#endif
